libzypp: zyppng::AsyncDataSourcePrivate Class Reference

libzypp 17.38.9

zyppng::AsyncDataSourcePrivate Class Reference

`#include <zypp-core/ng/io/private/asyncdatasource_p.h>`

Inheritance diagram for zyppng::AsyncDataSourcePrivate:

## Classes
struct | ReadChannelDev

## Public Member Functions
| AsyncDataSourcePrivate (AsyncDataSource &pub)
void | notifierActivated (const SocketNotifier &notify, int evTypes)
void | readyRead (uint channel)
void | readyWrite ()
void | closeWriteChannel (AsyncDataSource::ChannelCloseReason reason)
void | closeReadChannel (uint channel, AsyncDataSource::ChannelCloseReason reason)
Public Member Functions inherited from zyppng::IODevicePrivate
| IODevicePrivate (IODevice &p)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
std::vector< ReadChannelDev > | _readFds
SocketNotifier::Ptr | _writeNotifier
IOBuffer | _writeBuffer
int | _writeFd = -1
Signal< void(AsyncDataSource::ChannelCloseReason)> | _sigWriteFdClosed
Signal< void(uint, AsyncDataSource::ChannelCloseReason)> | _sigReadFdClosed
Public Attributes inherited from zyppng::IODevicePrivate
std::vector< IOBuffer > | _readChannels
uint | _currentReadChannel = 0
int64_t | _readBufChunkSize = DefIoDeviceBufChunkSize
IODevice::OpenMode | _mode = IODevice::Closed
Signal< void() > | _readyRead
Signal< void(uint) > | _channelReadyRead
Signal< void(int64_t)> | _sigBytesWritten
Signal< void()> | _sigAllBytesWritten
Signal< void(uint) > | _sigReadChannelFinished
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
std::unordered_map< uint32_t, zypp::AutoDispose< void * > > | _data
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 11 of file asyncdatasource_p.h.

## Constructor & Destructor Documentation

## ◆ AsyncDataSourcePrivate()

zyppng::AsyncDataSourcePrivate::AsyncDataSourcePrivate | ( | AsyncDataSource & | pub | ) |
| inline

Definition at line 14 of file asyncdatasource_p.h.

## Member Function Documentation

## ◆ notifierActivated()

void zyppng::AsyncDataSourcePrivate::notifierActivated | ( | const SocketNotifier & | notify,
|  | int | evTypes )

Definition at line 10 of file asyncdatasource.cpp.

## ◆ readyRead()

void zyppng::AsyncDataSourcePrivate::readyRead | ( | uint | channel | ) |

Definition at line 32 of file asyncdatasource.cpp.

## ◆ readyWrite()

void zyppng::AsyncDataSourcePrivate::readyWrite | ( |  | ) |

Definition at line 75 of file asyncdatasource.cpp.

## ◆ closeWriteChannel()

void zyppng::AsyncDataSourcePrivate::closeWriteChannel | ( | AsyncDataSource::ChannelCloseReason | reason | ) |

Definition at line 113 of file asyncdatasource.cpp.

## ◆ closeReadChannel()

void zyppng::AsyncDataSourcePrivate::closeReadChannel | ( | uint | channel,
|  | AsyncDataSource::ChannelCloseReason | reason )

Definition at line 124 of file asyncdatasource.cpp.

## Member Data Documentation

## ◆ _readFds

std::vector<ReadChannelDev> zyppng::AsyncDataSourcePrivate::_readFds

Definition at line 19 of file asyncdatasource_p.h.

## ◆ _writeNotifier

SocketNotifier::Ptr zyppng::AsyncDataSourcePrivate::_writeNotifier

Definition at line 21 of file asyncdatasource_p.h.

## ◆ _writeBuffer

IOBuffer zyppng::AsyncDataSourcePrivate::_writeBuffer

Definition at line 22 of file asyncdatasource_p.h.

## ◆ _writeFd

int zyppng::AsyncDataSourcePrivate::_writeFd = -1

Definition at line 23 of file asyncdatasource_p.h.

## ◆ _sigWriteFdClosed

Signal<void( AsyncDataSource::ChannelCloseReason )> zyppng::AsyncDataSourcePrivate::_sigWriteFdClosed

Definition at line 32 of file asyncdatasource_p.h.

## ◆ _sigReadFdClosed

Signal<void( uint, AsyncDataSource::ChannelCloseReason )> zyppng::AsyncDataSourcePrivate::_sigReadFdClosed

Definition at line 33 of file asyncdatasource_p.h.

The documentation for this class was generated from the following files:

- zypp-core/ng/io/private/asyncdatasource_p.h
- zypp-core/ng/io/asyncdatasource.cpp